check-circle-line exclamation-circle-line close-line

vCloud Director 9.1 for Service Providers | 8 mars 2018 | Build de version 7905839 (build 7905680 installée)

Recherchez les ajouts et les mises à jour de ces notes.

Contenu des notes de mise à jour

Les notes de mise à jour couvrent les sujets suivants :

Nouveautés de cette version

Pour plus d'informations sur les fonctionnalités nouvelles et mises à jour de cette version, consultez le livre blanc technique de VMware Nouveautés de VMware vCloud Director 9.1.

Spécifications du système et installation

Matrice de compatibilité

Consultez les Matrices d'interopérabilité des produits VMware pour obtenir les informations les plus récentes :

  • Interopérabilité de vCloud Director avec d'autres plates-formes VMware
  • Bases de données vCloud Director prises en charge
  • Chemins de mise à niveau

Systèmes d'exploitation des serveurs vCloud Director pris en charge

  • CentOS 6
  • CentOS 7
  • Oracle Linux 6
  • Oracle Linux 7
  • Red Hat Enterprise Linux 6
  • Red Hat Enterprise Linux 7

Serveurs AMQP pris en charge

vCloud Director utilise AMQP pour fournir le bus de message utilisé par les services d’extension, des extensions d’objet et des notifications. Cette version de vCloud Director nécessite RabbitMQ version 3.6.

Pour plus d'informations, reportez-vous au Guide d'installation et de mis à niveau de vCloud Director.

Bases de données prises en charge pour le stockage des données des mesures historiques

Vous pouvez configurer votre installation de vCloud Director de façon à stocker les mesures que vCloud Director collecte sur les performances et la consommation de ressources de la machine virtuelle. Les données des mesures historiques sont stockées dans une base de données Cassandra. vCloud Director prend en charge les versions suivantes de Cassandra.

  • Cassandra 2.2.6 (Désapprouvé pour les nouvelles installations. Pris en charge pour les mises à niveau des installations héritées utilisant toujours KairosDB.)
  • Cassandra 3.x (version 3.9 recommandée)

Pour plus d'informations, reportez-vous au Guide d'installation et de mis à niveau de vCloud Director.

Espace disque requis

Chaque serveur vCloud Director requiert environ 2 100 Mo d'espace disque libre destiné aux fichiers d'installation et aux journaux.

Mémoire requise

Chaque serveur vCloud Director doit disposer d'au moins 6 Go de mémoire.

Configuration requise du CPU

vCloud Director est une application dédiée au CPU. Les directives de surcharge du CPU doivent être respectées pour la version appropriée de vSphere. Dans les environnements virtualisés, quel que soit le nombre de cœurs disponibles pour vCloud Director, vous devez disposer d'un rapport sensible entre le vCPU et le CPU physique, qui ne produit pas de surcharge extrême.

Packages logiciels Linux requis

Chaque serveur vCloud Director doit inclure des installations de plusieurs packages logiciels Linux communs. Ces packages sont généralement installés par défaut avec le logiciel du système d'exploitation. En cas de packages manquants, le programme d'installation échoue et affiche un message de diagnostic.

alsa-lib bash chkconfig coreutils findutils glibc grep initscripts krb5-libs libgcc
libICE libSM libstdc++ libX11 libXau libXdmcp libXext libXi libXt libXtst
module-init-tools net-tools pciutils procps redhat-lsb sed tar wget which

En plus de ces packages, que le programme d'installation demande, plusieurs procédures pour configurer les connexions réseau et créer des certificats SSL nécessitent l'utilisation de la commande Linux nslookup, disponible dans le package Linux bind-utils.

Serveurs LDAP pris en charge

vCloud Director vous permet d'importer des utilisateurs et groupes à partir des services LDAP suivants.

Plate-forme Service LDAP Méthodes d'authentification
Windows Server 2016 Active Directory Simple, SSL simple
Windows Server 2003 Active Directory Simple, SSL simple, Kerberos, Kerberos SSL
Windows Server 2008 Active Directory Simple
Windows Server 2012 Active Directory Simple, SSL simple, Kerberos, Kerberos SSL
Windows 7 (2008 R2) Active Directory Simple, SSL simple, Kerberos, Kerberos SSL
Linux OpenLDAP Simple, SSL simple

Protocoles de sécurité et suites de chiffrement pris en charge

vCloud Director nécessite des connexions client sécurisées. SSL version 3 et TLS version 1.0 présentent de graves failles de sécurité et ne sont plus inclus dans l’ensemble de protocoles par défaut que le serveur met à disposition lors d’une connexion client. Les protocoles de sécurité suivants sont pris en charge :

  • TLS version 1.1
  • TLS version 1.2

Les suites de chiffrement prises en charge sont :

  • TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
  • TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
  • TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA
  • TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA
  • TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA
  • TLS_ECDH_RSA_WITH_AES_256_CBC_SHA
  • TLS_RSA_WITH_AES_256_CBC_SHA
  • TLS_RSA_WITH_AES_128_CBC_SHA
  • TLS_RSA_WITH_3DES_EDE_CBC_SHA

Remarque : l'interopérabilité entre les versions de vCenter antérieures à la version 5.5-update-3e et les versions de ovftool antérieures à la version 4.2 requiert vCloud Director pour permettre la prise en charge du protocole TLS version 1.0. Vous pouvez utiliser l'outil de gestion des cellules pour reconfigurer l'ensemble de protocoles SSL ou de chiffrements pris en charge. Consultez la référence sur les outils de gestion des cellules du Guide de l'administrateur de vCloud Director.

Navigateurs pris en charge

vCloud Director est compatible avec la dernière révision majeure et la révision actuelle des navigateurs. La version 9.1 de vCloud Director a été testée avec les navigateurs suivants et les prend en charge :

  • Google Chrome 64
  • Mozilla Firefox 58
  • Microsoft Edge 41
  • Microsoft Internet Explorer 11

Remarque : Flash doit être activé dans le navigateur pour accéder à la console Web de vCloud Director. 

Remarque : Microsoft Edge n’est pas pris en charge avec les installations de vCloud Director qui utilisent des certificats autosignés. Edge ne prend également pas en charge les plug-ins. Vous ne pouvez donc pas utiliser les fonctions telles que la redirection de console et le téléchargement de fichiers OVF avec Edge.

Systèmes d'exploitation invités et versions de matériel virtuel pris en charge

vCloud Director prend en charge tous les systèmes d'exploitation invités et versions de matériel virtuel pris en charge par les hôtes ESXi soutenant chaque pool de ressources.

Fonctionnalités obsolètes et retirées

Avertissements relatifs à la fin de vie et à la fin de prise en charge

  • Fin prochaine de la prise en charge de la base de données Oracle
    • vCloud Director 9.1 est la dernière version de vCloud Director qui prend en charge la base de données Oracle.
  • Fin prochaine de la prise en charge de vCloud Network Isolation (VCDNI)
    • vCloud Director 9.1 est la dernière version de vCloud Director qui prend en charge vCloud Network Isolation (VCDNI).
  • Fin de la prise en charge des anciennes versions de l'API vCloud
    • vCloud Director 9.1 ne prend plus en charge les versions 1.5 et 5.1 de l'API vCloud. Ces versions de l'API ont été supprimées dans une version précédente.
    • vCloud Director 9.1 est la dernière version de vCloud Director qui prend en charge les versions de l'API vCloud antérieures à la version 20.0. Ces versions de l'API sont déconseillées dans cette version et ne seront pas prises en charge dans les versions ultérieures.

Problèmes connus

  • Nouveau Un message d'erreur incorrect s'affiche lors de l'installation de vCloud Director sur Oracle Linux 7

    Lorsque vous installez vCloud Director sur Oracle Linux 7, le programme d'installation affiche le message d'erreur : Vous n'exécutez pas une distribution Linux prise en charge par vCloud Director. Voulez-vous quand même continuer ? [o/n]. Oracle Linux 7 est un système d'exploitation pris en charge par vCloud Director. Reportez-vous à la section Systèmes d'exploitation des serveurs vCloud Director pris en charge.

    Solution : entrez o pour continuer.

  • Échec de la personnalisation d'invité pour un système d'exploitation invité Debian

    Si les paramètres sur une machine virtuelle invitée Debian ne sont pas synchronisés avec vCloud Director ou si une tentative de personnalisation du client a échoué, vous ne pouvez pas mettre la machine virtuelle sous tension et forcer sa repersonnalisation.

    Solution : ajoutez vcloud.debian9_64Guest.isPersonalizationEnabled=true et vcloud.debian9Guest.isPersonalizationEnabled=true au fichier vCloud Director global.properties, puis redémarrez le service.

  • Les nouveaux déploiements VCDNI de réseaux ne fonctionnent pas dans vCloud Director 9.1

    Les déploiements VCDNI actuels fonctionnent lors d'une mise à niveau vers la version 9.1. Toutefois, les nouveaux déploiements de réseaux et de dispositifs Edge ne fonctionnent pas lorsqu'un pool de réseaux VCDNI est en cours d'utilisation. Par exemple, lors de la création d'un réseau ou la mise sous tension d'un vApp, car ces opérations créent des dispositifs Edge et des réseaux de vApp. VCDNI est désapprouvé et n'est plus pris en charge.

    Solution : avant la mise à niveau de l'environnement sous-jacent vers vCenter Server 6.5 et NSX 6.3.x, vous devez migrer vos pools VCDNI vers VXLAN.

  • Une machine virtuelle provisionnée rapidement créée sur une baie NFS VAAI (ou VVOL) ne peut pas être consolidée.

    La consolidation sur place d'une machine virtuelle provisionnée rapidement n'est pas prise en charge lors de l'utilisation d'un snapshot natif. Les snapshots natifs sont toujours utilisés par les banques de données VAAI, ainsi que par les VVOL. Lorsqu'une machine virtuelle provisionnée rapidement est déployée sur l'un de ces conteneurs de stockage, elle ne peut pas être consolidée.

    Solution : évitez d'activer le provisionnement rapide pour un VDC d'organisation qui utilise des NFS VAAI ou des VVOL. Pour consolider une machine virtuelle créée à partir d'un snapshot sur une banque de données VAAI/VVOL, déplacez-la vers un conteneur de stockage différent.

  • vCloud Director 9.1 prend en charge uniquement les paramètres d'entrée des workflows vRealize Orchestrator suivants :
    • boolean
    • sdkObject
    • secureString
    • number
    • mimeAttachment
    • properties
    • date
    • composite
    • regex
    • encryptedString
    • array
  • vCloud Director n'entre pas en mode de maintenance si une tâche de synchronisation LDAP est planifiée.

    Une cellule vCloud Director active n'entre pas en mode de maintenance si une tâche LdapSyncJob planifiée se trouve dans la file d'attente du planificateur de tâches.  

  • L'API REST de vCloud Director ne propose aucun lien de demande POST pour les vApp, les centres de données virtuels et les organisations.

    Elle suggère uniquement un lien de demande GET pour les vApp, les centres de données virtuels et les organisations. Par exemple :

    <Link rel="metrics" href="https://vcloud.example.com:8443/api/vApp/vapp-8/metrics/historic" type="application/vnd.vmware.vcloud.metrics.historicUsageSpec+xml"/>

    Solution : créez manuellement le lien de demande POST. Par exemple : 

    <Link rel="down" href="https://vcloud.example.com:8443/api/vApp/vapp-8/metrics/historic" type="application/vnd.vmware.vcloud.metrics.historicUsageSpec+xml"/>

  • Lors de l'expiration du bail d'exécution d'un vApp, l'état de l'instance de vApp devient Interrompu.

    Contrairement aux versions 8.20 et 9.0, dans vCloud Director 9.1, après l'expiration du bail d'exécution d'un vApp, l'action par défaut consiste à interrompre l'instance de vApp, au lieu de la mettre hors tension.

    Utilisez l'API vCloud pour modifier ce comportement en définissant la valeur de l'élément PowerOffOnRuntimeLeaseExpiration du vApp sur true.

  • Dans le portail de locataires de vCloud Director, les certificats inclus dans un fichier OVF ne sont pas vérifiés lors du téléchargement.

    Lors de l'importation d'un fichier OVF pour la création d'un vApp ou d'un modèle de vApp dans le portail de locataires de vCloud Director, les certificats disponibles dans le fichier OVF ne sont pas vérifiés.

  • Vous ne pouvez pas spécifier un nom pour un fichier de support téléchargé via le portail de locataires de vCloud Director.

    Les fichiers de support que vous téléchargez via le portail de locataires vCloud Director sont téléchargés avec un nom de fichier aléatoire et aucune extension de fichier.

  • Échec de l'ouverture de la console de machine virtuelle si vous disposez de VMware Workstation ou de VMware Fusion, mais pas de VMware Remote Console.

    Si vous disposez de VMware Workstation ou de VMware Fusion sur votre machine locale, mais pas du client VMware Remote Console, lorsque vous utilisez l'option Lancer la console distante de VM pour une machine virtuelle, VMware Workstation ou VMware Fusion s'ouvre, mais ne parvient pas à charger la console de machine virtuelle. La fenêtre contextuelle qui vous invite à installer VMware Remote Console ne s'affiche pas non plus.

    Solution : installez le client VMware Remote Console manuellement, puis lancez la console de machine virtuelle.

  • Les utilisateurs du portail de locataires de vCloud Director reçoivent des réponses d'erreur HTTP 502 (passerelle incorrecte) lors de l'utilisation de l'intégration vRO.

    Le trafic réseau supplémentaire généré par cette intégration peut submerger les équilibrages de charge utilisés par vCloud Director et entraîner cette erreur HTTP.

    Solution : les équilibrages de charge utilisés par vCloud Director doivent être configurés avec de plus grands tampons (taille recommandée : 100 Ko). Vous devrez également utiliser la sous-commande manage-config de l'outil de gestion de cellules pour mettre à jour la propriété de configuration suivante :

    cell-management-tool manage-config -n vcloud.http.responseHeaderMax -v nouvelle valeur

    nouvelle valeur est un nombre entier d'octets supérieur à la valeur par défaut, 65536 octets.

  • Types *+json non pris en charge par l'API vCloud

    Ces types de contenu de sortie ont été définis pour la plupart des opérations de l'API vCloud, mais ne sont pas pris en charge pour une utilisation par les clients dans la version 30.0 de l'API vCloud.

    Solution : aucune.